<div class="assign-tad-liaison">
    <app-content-banner [isDashboard]="false" pageName="Assign TAD Liaison"></app-content-banner>
    <mat-card class="tad-liaison-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div class="table-filters-header" fxLayout="column"> 
          <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
            <div  fxFlex="25">
              <mat-label> Select agency and site(s) to assign TAD Liaison:    </mat-label>
            </div>
            <div class="left-text" fxFlex="35">
              <mat-label style="font-weight: 600;">Agency Name: &nbsp;</mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select (selectionChange)="onAgencySelected()" [(ngModel)]="selectedAgencyID">
                        <mat-option [value]="0">Select One</mat-option>
                        <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                          {{agency.agencyNo + ' - ' + agency.agencyName}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
            </div>
            <div class="right-text">
                    <mat-label style="font-weight: 600;">Site Name: &nbsp;</mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select [(ngModel)]="selectedSiteID" [disabled]="is_DropDown_Disabled">  
                          <mat-option [value]="0">Select One</mat-option>
                          <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                            {{site.siteNo + ' - ' + site.siteName}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
            </div>
            <div>
              <button (click)="onGo()" mat-raised-button color="primary">GO</button>
            </div> 
          </div>  
          <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
              <div  fxFlex="25">
                <mat-label > Select the TAD Liaison:    </mat-label>
              </div>              
              <div class="left-text" fxFlex="35">
                  <mat-label style="font-weight: 600;" > Liaison Name: &nbsp; </mat-label>
                <mat-form-field appearance="outline">
                  <mat-select [(ngModel)]="selectedLiaisonID">  
                    <mat-option [value]="0">Select One</mat-option>
                    <mat-option *ngFor="let item of liaisonList" [value]="item.liaisonID">
                          {{item.liaisonName}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
                     
          </div>
          <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
              <div>
                <mat-label  [ngClass]="{'required-label-color': displayClass}"> Check all the sites applicable to update with the Site TAD Liaison selected:    </mat-label>
              </div>            
          </div>  
            <div fxLayout="row" fxLayoutAlign="start">              
              <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">              
                <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
                </mat-icon>
                <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
              </div>
            </div>
        </div>
      </mat-card-header>
        
      <mat-card-content>  
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  
          <div class="example-container mat-elevation-z4">
            <div fxLayout="row" fxLayout.lt-md="column">
              <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                <ag-grid-angular
                  #agGrid id="myGrid"
                  style="width: 100%"
                  class="ag-theme-balham my-grid"
                  [columnDefs]="columnDefs"
                  [defaultColDef]="defaultColDef"
                  [rowData]="rowData"
                  [rowSelection]="rowSelection"
                  [floatingFilter]="true"
                  [animateRows]="true"
                  [gridOptions]="gridOptions"
                  [pagination]="true"
                  [paginationPageSize]="10"
                  (rowSelected)="onRowSelected()"
                  [overlayLoadingTemplate]="overlayLoadingTemplate"
                  [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                  (gridReady)="onGridReady($event)"> 
                </ag-grid-angular>
              </div>
            </div>
          </div>
        </div>

        <div class="btn-section" fxLayout="row">
            <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
              <button mat-raised-button color="primary" style="width: 50px;" (click)="onSave()">Save</button>                        
              <button type="button" mat-raised-button (click)="onExit()" color="primary">Exit</button>
            </span>
          </div>
      </mat-card-content>
    </mat-card> 
   
  </div>